<?php

require_once dirname(__FILE__) . '/../../../../../api/util/TPSettings.php';

/**
 * Test class for NiceArray.
 * Generated by PHPUnit on 2012-08-30 at 15:16:45.
 */
class NiceArrayTest extends PHPUnit_Framework_TestCase {

  public function testValEquals() {

    $arr = new NiceArray(array("first" => "Tim", "last" => "D"));

    $this->assertEquals("Tim", $arr->val("first"));
    $this->assertEquals("D", $arr->val("last"));

    $this->assertEquals("Tim", $arr['first']);
    $this->assertEquals("D", $arr['last']);

    $this->assertEquals(2, count($arr));


    //modification
    $arr['last'] = 'X';
    $this->assertEquals("X", $arr['last']);

    //something invalid
    $this->assertNull($arr['bad']);

    //default access
    $this->assertEquals("Tim", $arr->val("first", "default"));
    $this->assertEquals("default", $arr->val("X", "default"));
  }

  public function testIsValEnabled() {

    $arr = new NiceArray();

    $values = array('on', 'On', 1, '1', 22, 'true', true);
    foreach ($values as $v) {
      $arr['prop'] = $v;
      $this->assertEquals(true, $arr->isValEnabled("prop"));
    }

    unset($arr['prop']);
    $this->assertEquals(false, $arr->isValEnabled("prop"));

    $values = array(0, 'Off', 'off', 'false', false, '', -1);
    foreach ($values as $v) {
      $arr['prop'] = $v;
      $this->assertEquals(false, $arr->isValEnabled("prop"));
    }
  }

}

?>
